osl::misc::BinaryElementReader< T >::State< T > Struct Template Reference

## Public Member Functions

| State (std::istream &is)
bool | hasNext ()
T | read ()
void | tryRead ()

## Public Attributes

BinaryReader< T > | reader
std::vector< T > | data
size_t | cur
bool | failed

## Detailed Description

template<class T>
template<class T>
struct osl::misc::BinaryElementReader< T >::State< T >

Definition at line 103 of file binaryIO.cc.

## Constructor & Destructor Documentation

## State()

template<class T>
template<class T>

osl::misc::BinaryElementReader< T >::State< T >::State | ( | std::istream & | is | ) |

inline explicit

Definition at line 109 of file binaryIO.cc.

References cur, failed, and reader.

## Member Function Documentation

## hasNext()

template<class T>
template<class T>

bool osl::misc::BinaryElementReader< T >::State< T >::hasNext | ( |  | ) |

inline

Definition at line 112 of file binaryIO.cc.

References cur, data, and tryRead().

Referenced by read().

## read()

template<class T>
template<class T>

T osl::misc::BinaryElementReader< T >::State< T >::read | ( |  | ) |

inline

Definition at line 117 of file binaryIO.cc.

References cur, data, and hasNext().

## tryRead()

template<class T>
template<class T>

void osl::misc::BinaryElementReader< T >::State< T >::tryRead | ( |  | ) |

inline

Definition at line 123 of file binaryIO.cc.

References cur, data, failed, reader, and osl::OslConfig::verbose().

Referenced by hasNext().

## Member Data Documentation

## cur

template<class T>
template<class T>

size_t osl::misc::BinaryElementReader< T >::State< T >::cur

Definition at line 107 of file binaryIO.cc.

Referenced by hasNext(), read(), State(), and tryRead().

## data

template<class T>
template<class T>

std::vector<T> osl::misc::BinaryElementReader< T >::State< T >::data

Definition at line 106 of file binaryIO.cc.

Referenced by hasNext(), read(), and tryRead().

## failed

template<class T>
template<class T>

bool osl::misc::BinaryElementReader< T >::State< T >::failed

Definition at line 108 of file binaryIO.cc.

Referenced by State(), and tryRead().

## reader

template<class T>
template<class T>

BinaryReader<T> osl::misc::BinaryElementReader< T >::State< T >::reader

Definition at line 105 of file binaryIO.cc.

Referenced by State(), and tryRead().

The documentation for this struct was generated from the following file:

- binaryIO.cc